## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate libdeflate-sys

Name:           rust-%{crate}
Version:        0.7.3
Release:        %autorelease
Summary:        DEFLATE (de)compression exposed as non-streaming buffer operations

# Upstream license specification: Apache-2.0
# libdeflate: MIT
License:        ASL 2.0 and MIT
URL:            https://crates.io/crates/libdeflate-sys
Source0:        %{crates_source}


ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

Provides: bundled(libdeflate) = 1.7-1.20201124git4a0bb73

%global _description %{expand:
Bindings to libdeflate for DEFLATE (de)compression exposed as non-streaming
buffer operations. Contains bindings for raw deflate, zlib, and gzip data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE libdeflate/COPYING
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+freestanding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freestanding-devel %{_description}

This package contains library source intended for building other packages
which use "freestanding" feature of "%{crate}" crate.

%files       -n %{name}+freestanding-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 23 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.3-1
- Update to 0.7.3.
- Fixes RHBZ#1975135

* Wed Jun 23 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.2-1
- Update to 0.7.2.
- Fixes RHBZ#1975135

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.1-1
- Initial package

